You need a modern web browser with JavaScript to use Factsafe